
using GrapeCity.Documents.Word;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;

GcWordDocument doc = new GcWordDocument();
List<Table> tablesToDelete = new List<Table>();
doc.Load("../../../GCTableDemo.docx");

RemoveEmptyTable();
doc.Save("GcTableUpdated.docx");


void RemoveEmptyTable()
{
    //Check Data in tables
    foreach(var section in doc.Body.Sections)
    {
        foreach(var table in section.GetRange().Tables)
        {
            var isEmpty = true;
            for(int i=0; i<table.Rows.Count; i++) 
            {
                for(int j = 0; j < table.Rows[0].Cells.Count;j++)
                {
                    var par = (table.Rows[i].Cells[j].Children.First() as Paragraph);
                    var run = par.Children.FirstOrDefault() as Run;
                    if(run!= null)
                        isEmpty = false;
                }
            }
            if(isEmpty)
                tablesToDelete.Add(table);
        }
    }

    // Delete all tables
    foreach(var table in tablesToDelete) 
    {
        table.Delete();
    }
}